swagger-petstore-0.1.0.0: Auto-generated swagger-petstore API Client

Safe Haskell | None
Language | Haskell2010

SwaggerPetstore.API.FakeClassnameTags123

Contents

- Operations
  - FakeClassnameTags123
    - testClassname

Description

Synopsis

- testClassname :: (Consumes TestClassname MimeJSON, MimeRender MimeJSON Client) => Client -> SwaggerPetstoreRequest TestClassname MimeJSON Client MimeJSON
- data TestClassname

# Operations

## FakeClassnameTags123

### testClassname

testClassname Source #

Arguments

:: (Consumes TestClassname MimeJSON, MimeRender MimeJSON Client) |
=> Client | "body" - client model
-> SwaggerPetstoreRequest TestClassname MimeJSON Client MimeJSON |

    PATCH /fake_classname_test

To test class name in snake case

AuthMethod: `AuthApiKeyApiKeyQuery`

data TestClassname Source #

Instances

Produces TestClassname MimeJSON Source # |
    application/json
Consumes TestClassname MimeJSON Source # |
    application/json
HasBodyParam TestClassname Client Source # | Body Param "body" - client model
Methods setBodyParam :: (Consumes TestClassname contentType, MimeRender contentType Client) => SwaggerPetstoreRequest TestClassname contentType res accept -> Client -> SwaggerPetstoreRequest TestClassname contentType res accept Source #